- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates an inventory source group. Returns the updated inventory source group if successful.
HTTP request
PATCH https://displayvideo.googleapis.com/v5/inventorySourceGroups/{inventorySourceGroup.inventorySourceGroupId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
inventorySourceGroup.inventorySourceGroupId |
Output only. The unique ID of the inventory source group. Assigned by the system. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
| Required. Identifies the DV360 entity that owns the inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the inventory source group. Only this partner has write access to this group. |
advertiserId |
The ID of the advertiser that owns the inventory source group. The parent partner does not have access to this group. |
| End of mutually exclusive fields. | |
Request body
The request body contains an instance of InventorySourceGroup.
Response body
If successful, the response body contains an instance of InventorySourceGroup.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.